Filament manager override?

I think DisplayLayerProgess is the only required plugin for OctoDash...and if you want to get rid of that I created a fork that removes the dependency.

Ok. But I recently started to use and really enjoy the filament change process via Octodash. I don’t think it would still work without it?

That I'm not sure of. I do know that since @OllisGit has adopted the plugin he has already merged the Python 3 compatibility.